## ros-one-microstrain-3dmgx2-imu 1.5.13-0jammy.20251207.2156

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0jammy.20251207.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sun, 07 Dec 2025 21:56:09 +0000
