## ros-one-microstrain-3dmgx2-imu 1.5.13-0jammy.20260221.0153

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0jammy.20260221.0153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sat, 21 Feb 2026 01:53:01 +0000
