=== debian/control ===
Source: ros-one-microstrain-3dmgx2-imu
Section: misc
Priority: optional
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx-dev, ros-one-catkin, ros-one-diagnostic-updater, ros-one-message-generation, ros-one-roscpp, ros-one-self-test, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Homepage: http://www.ros.org/wiki/microstrain_3dmgx2_imu
Standards-Version: 3.9.2

Package: ros-one-microstrain-3dmgx2-imu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, ros-one-diagnostic-updater, ros-one-message-runtime, ros-one-roscpp, ros-one-self-test, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: A driver for IMUs compatible the microstrain 3DM-GX2 and 3DM-GX3 protocol.
 Includes a heavily modified standalone driver pulled from the player distribution, and a ROS node.
