## ros-one-microstrain-3dmgx2-imu 1.5.13-0noble.20251208.0854

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0noble.20251208.0854) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 08 Dec 2025 08:54:46 +0000
