## ros-one-microstrain-3dmgx2-imu 1.5.13-0noble.20260221.2123

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0noble.20260221.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sat, 21 Feb 2026 21:23:44 +0000
